<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserAskQuestionMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.UserAskQuestion">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="module" jdbcType="VARCHAR" property="module" />
    <result column="question_id" jdbcType="INTEGER" property="questionId" />
    <result column="question_no_id" jdbcType="INTEGER" property="questionNoId" />
    <result column="target" jdbcType="VARCHAR" property="target" />
    <result column="answer_status" jdbcType="INTEGER" property="answerStatus" />
    <result column="manager_id" jdbcType="INTEGER" property="managerId" />
    <result column="show_status" jdbcType="INTEGER" property="showStatus" />
    <result column="answer_time" jdbcType="TIMESTAMP" property="answerTime" />
    <result column="order" jdbcType="INTEGER" property="order" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.qxgmat.data.dao.entity.UserAskQuestion">
    <!--
      WARNING - @mbg.generated
    -->
    <result column="content" jdbcType="LONGVARCHAR" property="content" />
    <result column="answer" jdbcType="LONGVARCHAR" property="answer" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `user_id`, `module`, `question_id`, `question_no_id`, `target`, `answer_status`, 
    `manager_id`, `show_status`, `answer_time`, `order`, `create_time`, `update_time`
  </sql>
  <sql id="Blob_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `content`, `answer`
  </sql>
</mapper>